Bug 461799 - Addition of Directory Server sos plugins
Addition of Directory Server sos plugins
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Adam Stokes
:
Depends On: 461298
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-10 13:23 EDT by kent lamb
Modified: 2009-09-02 03:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 03:30:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Adam Stokes 2009-01-13 10:06:05 EST
Can you test this plugin out for both ds7 and 8:

class ds(sos.plugintools.PluginBase):
    """Directory Server information
    """

    ds_version = None

    def checkenabled(self):
        if self.cInfo["policy"].pkgByName("redhat-ds-base") or os.path.exists("/etc/dirsrv"):
            self.ds_version = "ds8"
            return True
        elif self.cInfo["policy"].pkgByName("redhat-ds-7") or os.path.exists("/opt/redhat-ds"):
            self.ds_version = "ds7"
            return True
        return False

    def setup(self):
        if "ds8" in self.ds_version:
            self.addCopySpec("/etc/dirsrv/slapd*")
            self.addCopySpec("/var/log/dirsrv/*")
        if "ds7" in self.ds_version:
            self.addCopySpec("/opt/redhat-ds/slapd-*/config")
            self.addCopySpec("/opt/redhat-ds/slapd-*/logs")
        return
Comment 3 Adam Stokes 2009-01-21 18:54:43 EST
Test the ds and cs plugins in the upstream version :

http://astokes.fedorapeople.org/sos-1.8-9.noarch.rpm

They'll be backported to RHEL if works for you.

Thanks,
Adam
Comment 4 kent lamb 2009-01-27 09:35:35 EST
worksforme
Comment 11 errata-xmlrpc 2009-09-02 03:30:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1418.html

Note You need to log in before you can comment on or make changes to this bug.